Bug 334711 - wireless connection not resumed
wireless connection not resumed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-16 12:16 EDT by cje
Modified: 2009-01-08 23:57 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-08 23:57:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description cje 2007-10-16 12:16:27 EDT
when i resume after suspend NetworkManager doesn't appear to even attempt to
re-connect the last wireless connection.

this is NetworkManager 0.7.0-0.3.svn2970.fc8
Comment 1 cje 2007-10-31 09:36:46 EDT
looks like this has been fixed now:
NetworkManager-0.7.0-0.5.svn3030.fc8

possibly it was fixed by...
* Wed Oct 24 2007 Dan Williams <dcbw@redhat.com> - 1:0.7.0-0.3.svn3016
- Fix getting current access point
?
Comment 2 cje 2007-11-12 10:45:17 EST
or possibly it was fixed by me looking at a different system.  current status
for me:

iwl3945 on Lenovo Z61m is working well (occasional bursts of odd messages in the
system log but they don't seem to affect things)

ipw2200 on Dell Latitude D610 doesn't reconnect when i resume from suspend. 
also gets messages like:
Nov 12 14:34:00 portal98 kernel: ipw2200: Failed to send SYSTEM_CONFIG: Already
sending a command.
but i don't know if that's got anything to do with anything.

the iwl3945 system gets a message:
NetworkManager: <info> SWITCH: no current connection, found better connection....
and automatically connects.
the ipw2200 system doesn't log any SWITCH messages.  the 'better connection' is
available in the drop-down menu from the NetworkManager notification icon and
selecting it again manually works fine.
Comment 3 Albert Bartok-Partay 2007-11-13 19:02:24 EST
yeah, NetworkManager is behaving quite oddly. For example, I use my laptop at
home with a wireless connection, and I connect it to a wired network at work.
When I get home, it just can't connect to the wireless network straight away,
keeps asking the network key, and eventually, after three-four attempts it
connects, but  it's quite annoying. Once it's been able to connect, there is no
problem after a suspend/resume cycle. Weird, anyway.
Comment 4 cje 2007-11-15 09:52:23 EST
more oddness today.  we now have a new kernel 2.6.23.1-49.fc8 but i'm not sure
that's making a difference.

however, i'm finding that on my D610 it usually works (network resumes when the
system resumes) instantly when i'm logged in on a nice new clean desktop.  using
my normal desktop it fails every time.

meanwhile, the Z61m failed once today but otherwise has been fine.

the Z61m always takes around 30s to 1m to reconnect.  the D610 reconnect
immediately when it works at all.

so, possibly this could be a system load issue?  the Z61m is dual core.

if i can find the time i'll try adding things to a clean desktop until it starts
failing again on the D610.  :-)

Albert, that sounds like a different problem - should probably be raised as a
separate bug.
Comment 5 Albert Bartok-Partay 2007-11-15 11:58:25 EST
well, I suspect that there is no relation between the connection to the wired
network and the failure to connect to the wireless later, because I didn't go to
work today but the problem still stands.

The failure happens after resuming from suspend, and only a complete reboot can
mend it. However, I don't think it's a NetworkManager problem, since I tried to
connect using the 'ifup' script, and it's returned the error message 'No link
present etc.'
Comment 6 Albert Bartok-Partay 2007-11-17 06:26:25 EST
It seems that I managed to find a workaround to my problem (whatever it is). If
I remove the ipw2200 module before suspending, and add again after resuming,
everything works perfectly well. So my problem is not a NetworkManager issue at all.
Comment 7 cornel panceac 2008-11-19 02:58:11 EST
on f9, if i suspend the notebook and move to another location, networkmanager does not show the new different wireless networks available (wich may be another bug, the one that albert pointed to in comment #6). a reboot fixes things.
Comment 8 Bug Zapper 2008-11-26 02:59:38 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-01-08 23:57:28 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.